Bug 1575119 (CVE-2018-10689) - CVE-2018-10689 blktrace: buffer overflow in the dev_map_read function in btt/devmap.c
Summary: CVE-2018-10689 blktrace: buffer overflow in the dev_map_read function in btt/...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-10689
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1575120 1575121 1580579
Blocks: 1575122
TreeView+ depends on / blocked
 
Reported: 2018-05-04 19:40 UTC by Laura Pardo
Modified: 2021-02-17 00:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:18:48 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2162 0 None None None 2019-08-06 12:22:52 UTC

Description Laura Pardo 2018-05-04 19:40:23 UTC
A flaw was found in blktrace (aka Block IO Tracing) 1.2.0, as used with the Linux kernel and Android, has a buffer overflow in the dev_map_read function in btt/devmap.c because the device and devno arrays are too small, as demonstrated by an invalid free when using the btt program with a crafted file.


References:
https://www.spinics.net/lists/linux-btrace/msg00847.html

Patch:
https://git.kernel.org/pub/scm/linux/kernel/git/axboe/blktrace.git/commit/?id=d61ff409cb4dda31386373d706ea0cfb1aaac5b7
http://git.kernel.dk/?p=blktrace.git;a=log;h=d61ff409cb4dda31386373d706ea0cfb1aaac5b7

Comment 1 Laura Pardo 2018-05-04 19:40:58 UTC
Created blktrace tracking bugs for this issue:

Affects: fedora-all [bug 1575120]

Comment 5 Scott Gayou 2018-05-21 21:13:21 UTC
Statement:

Red Hat Product Security has rated this issue as having a security impact of Low, and a future update may address this flaw.

Comment 6 errata-xmlrpc 2019-08-06 12:22:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2162 https://access.redhat.com/errata/RHSA-2019:2162

Comment 7 Product Security DevOps Team 2019-08-06 13:18:48 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-10689


Note You need to log in before you can comment on or make changes to this bug.